app-base-layout {
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
  max-height: 100vh;
  & .mobile-header-wrapper {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    height: 3.5rem;
    & .header-action {
      flex: 0 0 3rem;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      & img {
        max-width: 0.75rem;
      }
    }
    & .header-title {
      flex: 1 1 auto;
      & span {
        @include muli-bold(16px);
      }
    }
  }

  & .desktop-header-action{
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    height: 3.5rem;
    border-bottom: 1px solid rgb(206, 206, 206);
    & .header-action {
      flex: 0 0 3rem;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      & img {
        max-width: 0.75rem;
      }
    }
    & .header-title {
      flex: 1 1 auto;
      & span {
        @include muli-bold(16px);
        color:#196be5;
      }
    }
  }

  & .content-wrapper {
    flex: 1 1 auto;
    padding-bottom: 1.5rem;
    overflow: none;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
  }

  & .mobile-tabs-wrapper {
    position: fixed;
    z-index: 999999;
    bottom: 0;
    width: 100%;
    flex: 0 0 auto;
    padding-bottom: env(safe-area-inset-bottom);
    padding-bottom: constant(safe-area-inset-bottom);
    & .nav {
      background-color: $white;
      box-shadow: 0px -1px 10px 0px rgba(112, 144, 176, 0.25);
      & .nav-item {
        flex: 0 0 25%;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        & .nav-link {
          display: inline-flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          padding: 0.5rem 0;
          & .nav-item-icon {
            width: 24px;
            height: 24px;
            text-align: center;
            & > img {
              max-width: 100%;
              height: 100%;
              position: relative;
              // transition: all 3s ease-in-out;
              &.active-icon {
                // transform: scale(0);
                width: 0;
              }
              &.default-icon {
                // transform: scale(1);
                width: auto;
              }
            }
          }
          & > span {
            @include muli-regular(10px);
            color: theme-color("text-secondary");
          }
          &.active {
            & .nav-item-icon {
              & > img {
                &.active-icon {
                  // transform: scale(1);
                  width: auto;
                }
                &.default-icon {
                  // transform: scale(0);
                  width: 0;
                }
              }
            }
            & > span {
              color: $black;
            }
          }
        }

        &.nav-item-invest {
          & .nav-link {
            position: absolute;
            top: -2.5rem;
            & .nav-item-icon {
              width: 4rem;
              height: 4rem;
              position: relative;
              z-index: 999;
              &::before {
                content: "";
                background-color: #f6f7fc;
                border-radius: 0 0 4rem 4rem;
                position: absolute;
                transform: translateY(2.5rem);
                bottom: 2.5rem;
                width: 4rem;
                height: 2rem;
                z-index: 0;
              }
            }
          }
        }
      }
    }
  }

  & .desktop-header-wrapper {
    display: none;
  }

  @include media-breakpoint-up(lg) {
    & .mobile-header-wrapper {
      display: none;
    }

    & .mobile-tabs-wrapper {
      display: none;
    }

    & .content-wrapper {
      padding-top: 1rem;
      margin-top: 11px;
    }

    & .desktop-header-wrapper {
      display: flex;
      padding-left: 2rem;
      padding-right: 2rem;
      flex: 0 0 auto;
      height: 80px;
      background-color: white;
      box-shadow: 0px 7px 10px #7090D021;
      & > .row {
        flex: 1 1 auto;
        align-items: center;
        height: 100%;
      }

      & .logo-wrapper {
        & > a {
          display: inline-flex;
          height: 80px;
          align-items: center;
          & img {
            width: 120px;
            height: auto;
          }
        }
      }

      & .menu-wrapper {
        & app-nav-tabs {
          &::before {
            display: none;
          }
          & .nav-link {
            display: inline-flex;
            align-items: center;
            height: 80px;
            padding-left: 1.5rem;
            padding-right: 1.5rem;
          }
        }
      }
    }
  }
  .mobileHeaderDashBoard{
    padding: 14px 0px;
    border-bottom: 1px solid #e2e3e6;
    .row{
      justify-content: space-around;
      .logo{
      max-width: 120px;
    }

    .notification-icon{
      max-width: 24px;
      position: relative;

    }
    & .notification-indicator{
      width: 7px;
      height: 7px;
      position: absolute;
      top: 5px;
      right: 18px;
      border-radius: 50%;
      background-color: orange;
      }
  }
  }
}


.chart-values{
  display: flex;
  justify-content: space-between;
  padding: 10px;
  & .selected{
    color: theme-color("primary");
    @include muli-regular(12px);
  }
  
  & > span{
    cursor: pointer;
    color: theme-color("font-primary");
    @include muli-regular(12px);
  }
  & > span.active{
    color: white;
    @include muli-bold(14px);
    background-color: #196BE5;
    padding: 4px 6px;
    border-radius: 50%;
  }
  
}

// Watchlist scroller button: Watchlist page
@media (min-width: 800px){
  app-watchlist app-nav-tabs .scroll-btn{
      display: flex;
  }
}